---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.1.112/23","fd02:0:0:1::82a/64"],"mac_address":"0a:58:0a:80:01:70","gateway_ips":["10.128.0.1","fd02:0:0:1::1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.128.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.128.0.1"},{"dest":"169.254.0.5/32","nextHop":"10.128.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.128.0.1"},{"dest":"fd02::/48","nextHop":"fd02:0:0:1::1"},{"dest":"fd03::/112","nextHop":"fd02:0:0:1::1"},{"dest":"fd69::5/128","nextHop":"fd02:0:0:1::1"},{"dest":"fd98::/64","nextHop":"fd02:0:0:1::1"}],"role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.1.112",
              "fd02:0:0:1::82a"
          ],
          "mac": "0a:58:0a:80:01:70",
          "default": true,
          "dns": {}
      }]
    kubevirt.io/install-strategy-identifier: 2dc5f715e9a54162bc06e47f8e4f741a60504588
    kubevirt.io/install-strategy-registry: ""
    kubevirt.io/install-strategy-version: sha256:f3434d66f6d0d99c98a9c7428ed9a85c5c83bb9c1caeb1bc3617c37b2ad2ee81
    openshift.io/required-scc: restricted-v2
    openshift.io/scc: restricted-v2
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
  creationTimestamp: "2025-10-29T11:54:21Z"
  generateName: virt-controller-65856f88c9-
  labels:
    app.kubernetes.io/component: compute
    app.kubernetes.io/managed-by: virt-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.11
    kubevirt.io: virt-controller
    pod-template-hash: 65856f88c9
    prometheus.kubevirt.io: "true"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubevirt.io/install-strategy-identifier: {}
          f:kubevirt.io/install-strategy-registry: {}
          f:kubevirt.io/install-strategy-version: {}
          f:openshift.io/required-scc: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:kubevirt.io: {}
          f:pod-template-hash: {}
          f:prometheus.kubevirt.io: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b34fc17f-bcb8-461e-8cd2-62782cd2e0ca"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:preferredDuringSchedulingIgnoredDuringExecution: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
          f:podAntiAffinity:
            .: {}
            f:preferredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"virt-controller"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"SIDECAR_SHIM_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:livenessProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:initialDelaySeconds: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":8443,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:readinessProbe:
              .: {}
              f:failureThreshold: {}
              f:httpGet:
                .: {}
                f:path: {}
                f:port: {}
                f:scheme: {}
              f:initialDelaySeconds: {}
              f:periodSeconds: {}
              f:successThreshold: {}
              f:timeoutSeconds: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:allowPrivilegeEscalation: {}
              f:capabilities:
                .: {}
                f:drop: {}
              f:seccompProfile:
                .: {}
                f:type: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/virt-controller/certificates"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/etc/virt-controller/exportca"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/profile-data"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext:
          .: {}
          f:runAsNonRoot: {}
          f:seccompProfile:
            .: {}
            f:type: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"kubevirt-controller-certs"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:optional: {}
              f:secretName: {}
          k:{"name":"kubevirt-export-ca"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:optional: {}
              f:secretName: {}
          k:{"name":"profile-data"}:
            .: {}
            f:emptyDir: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-10-29T11:54:20Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: cnvqe-071.lab.eng.tlv2.redhat.com
    operation: Update
    subresource: status
    time: "2025-10-29T11:54:21Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
    manager: multus-daemon
    operation: Update
    subresource: status
    time: "2025-10-29T11:54:22Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.128.1.112"}:
            .: {}
            f:ip: {}
          k:{"ip":"fd02:0:0:1::82a"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-29T11:54:45Z"
  name: virt-controller-65856f88c9-9krww
  namespace: openshift-cnv
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: virt-controller-65856f88c9
    uid: b34fc17f-bcb8-461e-8cd2-62782cd2e0ca
  resourceVersion: "2147349"
  uid: ff458210-b963-4056-b297-32714c65387f
spec:
  affinity:
    nodeAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - preference:
          matchExpressions:
          - key: node-role.kubernetes.io/worker
            operator: DoesNotExist
        weight: 100
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: node-role.kubernetes.io/control-plane
            operator: Exists
        - matchExpressions:
          - key: node-role.kubernetes.io/master
            operator: Exists
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - podAffinityTerm:
          labelSelector:
            matchExpressions:
            - key: kubevirt.io
              operator: In
              values:
              - virt-controller
          topologyKey: kubernetes.io/hostname
        weight: 1
  containers:
  - args:
    - --launcher-image
    - registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:e81191f6a8dcc0ebb5ccae5ae2a8e70200d07f80f1a25cae428fc260b9e6fd8d
    - --exporter-image
    - registry.redhat.io/container-native-virtualization/virt-exportserver-rhel9@sha256:5939ab77f0654830279d8b29653180971f9eb4737d35f3b073304d9f18b142d3
    - --port
    - "8443"
    - -v
    - "2"
    command:
    - virt-controller
    env:
    - name: SIDECAR_SHIM_IMAGE
      value: registry.redhat.io/container-native-virtualization/sidecar-shim-rhel9@sha256:98c22e9c2bd5159d4630f70862c670559a954c04c88fbf82f581bc5c50e1465c
    image: registry.redhat.io/container-native-virtualization/virt-controller-rhel9@sha256:10ab346034d68f3230ac84163b9645d520f2d8b482342e555bd94ff076f8c771
    imagePullPolicy: IfNotPresent
    livenessProbe:
      failureThreshold: 8
      httpGet:
        path: /healthz
        port: 8443
        scheme: HTTPS
      initialDelaySeconds: 15
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 10
    name: virt-controller
    ports:
    - containerPort: 8443
      name: metrics
      protocol: TCP
    readinessProbe:
      failureThreshold: 3
      httpGet:
        path: /leader
        port: 8443
        scheme: HTTPS
      initialDelaySeconds: 15
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 10
    resources:
      requests:
        cpu: 10m
        memory: 275Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsUser: 1000910000
      seccompProfile:
        type: RuntimeDefault
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/virt-controller/certificates
      name: kubevirt-controller-certs
      readOnly: true
    - mountPath: /etc/virt-controller/exportca
      name: kubevirt-export-ca
      readOnly: true
    - mountPath: /profile-data
      name: profile-data
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-2lpcw
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
  nodeSelector:
    kubernetes.io/os: linux
  preemptionPolicy: PreemptLowerPriority
  priority: 1000000000
  priorityClassName: kubevirt-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000910000
    runAsNonRoot: true
    seLinuxOptions:
      level: s0:c30,c20
    seccompProfile:
      type: RuntimeDefault
  serviceAccount: kubevirt-controller
  serviceAccountName: kubevirt-controller
  terminationGracePeriodSeconds: 30
  tolerations:
  - key: CriticalAddonsOnly
    operator: Exists
  - effect: NoSchedule
    key: node-role.kubernetes.io/control-plane
    operator: Exists
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: kubevirt-controller-certs
    secret:
      defaultMode: 420
      optional: true
      secretName: kubevirt-controller-certs
  - name: kubevirt-export-ca
    secret:
      defaultMode: 420
      optional: true
      secretName: kubevirt-export-ca
  - emptyDir: {}
    name: profile-data
  - name: kube-api-access-2lpcw
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:54:24Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:54:21Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:54:45Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:54:45Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T11:54:21Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://da794d0960f8698e84d156a7922eb7e0218136a1f971101c94550c93235e7a01
    image: registry.redhat.io/container-native-virtualization/virt-controller-rhel9@sha256:10ab346034d68f3230ac84163b9645d520f2d8b482342e555bd94ff076f8c771
    imageID: registry.redhat.io/container-native-virtualization/virt-controller-rhel9@sha256:10ab346034d68f3230ac84163b9645d520f2d8b482342e555bd94ff076f8c771
    lastState: {}
    name: virt-controller
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-29T11:54:23Z"
    volumeMounts:
    - mountPath: /etc/virt-controller/certificates
      name: kubevirt-controller-certs
      readOnly: true
      recursiveReadOnly: Disabled
    - mountPath: /etc/virt-controller/exportca
      name: kubevirt-export-ca
      readOnly: true
      recursiveReadOnly: Disabled
    - mountPath: /profile-data
      name: profile-data
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-2lpcw
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.46.248.42
  hostIPs:
  - ip: 10.46.248.42
  - ip: 2620:52:0:2ef8::2a
  phase: Running
  podIP: 10.128.1.112
  podIPs:
  - ip: 10.128.1.112
  - ip: fd02:0:0:1::82a
  qosClass: Burstable
  startTime: "2025-10-29T11:54:21Z"
